# Class XmrIncomingTransfer

#### Hierarchy

- unknown
  - XmrIncomingTransfer

- Defined in src/protobuf/grpc_pb.d.ts:3204
- Defined in src/protobuf/grpc_pb.d.ts:3228

#####
Index

### Constructors

constructor

### Methods

getAccountIndex
getAddress
getAmount
getNumSuggestedConfirmations
getSubaddressIndex
serializeBinary
setAccountIndex
setAddress
setAmount
setNumSuggestedConfirmations
setSubaddressIndex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrIncomingTransfer(): XmrIncomingTransfer

- #### Returns XmrIncomingTransfer

  Inherited from jspb.Message.constructor

## Methods

### getAccountIndex

- getAccountIndex(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3208

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3214

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3205

### getNumSuggestedConfirmations

- getNumSuggestedConfirmations(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3217

### getSubaddressIndex

- getSubaddressIndex(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3211

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3220

### setAccountIndex

- setAccountIndex(value: number): XmrIncomingTransfer

- #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3209

### setAddress

- setAddress(value: string): XmrIncomingTransfer

- #### Parameters

  - ##### value: string

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3215

### setAmount

- setAmount(value: string): XmrIncomingTransfer

- #### Parameters

  - ##### value: string

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3206

### setNumSuggestedConfirmations

- setNumSuggestedConfirmations(value: number): XmrIncomingTransfer

- #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3218

### setSubaddressIndex

- setSubaddressIndex(value: number): XmrIncomingTransfer

- #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3212

### toObject

- toObject(includeInstance?: boolean): XmrIncomingTransfer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrIncomingTransfer.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3221

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrIncomingTransfer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3224

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrIncomingTransfer, reader: BinaryReader): XmrIncomingTransfer

- #### Parameters

  - ##### message: XmrIncomingTransfer

  - ##### reader: BinaryReader

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3225

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrIncomingTransfer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrIncomingTransfer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3223

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrIncomingTransfer): XmrIncomingTransfer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrIncomingTransfer

  #### Returns XmrIncomingTransfer.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3222

Generated using TypeDoc